List secret names
Returns the names of the runtime secrets set for the environment, with timestamps. Never returns secret values.
Responses
- application/json
- application/json
- application/json
Request Example for get/v1/secrets
curl https://api.useportal.co/v1/secrets \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
Two configured secrets
{
"secrets": [
{
"name": "STRIPE_API_KEY",
"createdAt": "2026-07-18T12:00:00.000Z",
"updatedAt": "2026-07-19T01:30:00.000Z"
},
{
"name": "WEBHOOK_SIGNING_KEY",
"createdAt": "2026-07-18T12:00:00.000Z",
"updatedAt": "2026-07-18T12:00:00.000Z"
}
]
}